## org.apache.commons.math.linear
Class AbstractRealVector.EntryImpl

    java.lang.Object
      org.apache.commons.math.linear.RealVector.Entry
          org.apache.commons.math.linear.AbstractRealVector.EntryImpl

Enclosing class:
  AbstractRealVector

    protected class AbstractRealVector.EntryImpl

extends RealVector.Entry

An entry in the vector.

Constructor Summary
`AbstractRealVector.EntryImpl()` Simple constructor.

Method Summary
`double` `getValue()` Get the value of the entry.
`void` `setValue(double newValue)` Set the value of the entry.

Methods inherited from class org.apache.commons.math.linear.RealVector.Entry
`getIndex, setIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRealVector.EntryImpl

    public AbstractRealVector.EntryImpl()

  Simple constructor.

Method Detail

### getValue

    public double getValue()

  Get the value of the entry.

  Specified by:
    `getValue` in class `RealVector.Entry`
  Returns:
    the value of the entry.

### setValue

    public void setValue(double newValue)

  Set the value of the entry.

  Specified by:
    `setValue` in class `RealVector.Entry`
  Parameters:
    `newValue` - New value for the entry.

Copyright (c) 2003-2013 Apache Software Foundation